#include <stdio.h>
#include <stdlib.h>

int main(){
    int n, l; //broj stalaktita, visina perice
    scanf("%d", &n);
    scanf("%d", &l);
    int h[n];
    for(int i=0; i<n; i++){
        scanf("%d", &h[i]);
    }
    //printf("ima ih %d, visina perice je %d\n", n, l);
    for(int i=0; i<n; i++){
    //    printf("visina H%d je %d\n", i, h[i]);
    }
    int br=0;
    int i=0;
    while(l<h[i]){
        br++;
        i++;
        if(i==n-1)
            break;
    }
    br++;
    if(br==n)
        br=-1;
    printf("%d", br);

    return 0;
}